[GE issues] [Issue 3268] New - On Ubuntu 10.04 LTS libc version detection fails

gvacanti gvacanti at cosine.nl
Tue May 18 09:53:11 BST 2010


http://gridengine.sunsource.net/issues/show_bug.cgi?id=3268
                 Issue #|3268
                 Summary|On Ubuntu 10.04 LTS libc version detection fails
               Component|gridengine
                 Version|6.2u3
                Platform|Other
                     URL|
              OS/Version|Linux
                  Status|NEW
       Status whiteboard|
                Keywords|
              Resolution|
              Issue type|DEFECT
                Priority|P3
            Subcomponent|execution
             Assigned to|pollinger
             Reported by|gvacanti






------- Additional comments from gvacanti at sunsource.net Tue May 18 01:53:10 -0700 2010 -------
On Ubuntu 10.04 LTS libc version detection fails in util/arch. The reason is that now (around line 244) strings libc.so.6 returns

GNU C Library (Ubuntu EGLIBC 2.11.1-0ubuntu7) stable release version 2.11.1, by Roland McGrath et al.

where the version number appears twice. The subsequent tests get a string like "11\n11" instead of just "11" and the shell complains that
the syntax of the if conditions is wrong.

I fixed it by adding uniq to this line

libc_version=`echo $libc_string | tr ' ,' '\n' | grep "2\." | cut -f 2 -d "." | uniq`

------------------------------------------------------
http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=36&dsMessageId=257711

To unsubscribe from this discussion, e-mail: [issues-unsubscribe at gridengine.sunsource.net].



More information about the gridengine-users mailing list